Bug 118236 - long delay and 100% cpu when showing tag submenu or dialogue
Summary: long delay and 100% cpu when showing tag submenu or dialogue
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Albums (show other bugs)
Version: 0.8.0
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-13 11:16 UTC by Jonathan Marten
Modified: 2017-07-24 15:01 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Marten 2005-12-13 11:16:32 UTC
Version:           0.8.0 (using KDE KDE 3.5.0)
Installed from:    Compiled From Sources
Compiler:          gcc (GCC) 3.3.5-20050130 (Gentoo 3.3.5.20050130-r1, ssp-3.3.5.20050130-1, pie-8.7.7.1)
 
OS:                Linux

Going to the popup menu over an image and then the "Assign Tag" submenu, or opening the "Edit Comments And Tags..." dialogue, seems to take a long time (at least five seconds here, on a 1.7GHz P4) with 100% CPU usage.  While this is happening, the digkam UI is frozen.

This happens every time that submenu or dialogue is about to be shown.  I guess this is somehow related to the tag thumbnails (I have these set for almost all of the tags), but did not notice this problem before in digikam 0.7 or 0.8beta.

The following debug output is displayed while this is happening:

kio (KTrader): KServiceTypeProfile::offers serviceType=image/jpeg genericServiceType=Application
kio (KTrader): KServiceTypeProfile::offers serviceType=image/jpeg genericServiceType=KParts/ReadOnlyPart
kio (KTrader): query for image/jpeg : returning 9 offers
digikam: Found JPEGLossless plugin
DCOP: unregister 'anonymous-2146'
kdeinit: PID 2146 terminated.
kio (KIOJob): Job::kill this=0x85b66e8 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2634
kio (Slave): killing slave pid=2634 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x8561130 KIO::TransferJob m_progressId=0 quietly=true
kio (KIOConnection): ERROR: Header read failed, errno=104
kio (KIOConnection): ERROR: Header has invalid size (-1)
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kdeinit: PID 2634 terminated.
kio (KLauncher): kio_digikamthumbnail (pid 2662) up and running.
kio (KIOConnection): ERROR: Header read failed, errno=104
kio (KIOConnection): ERROR: Header has invalid size (-1)
kio (KLauncher): ERROR: SlavePool: No communication with slave.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x85ab610 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2662
kio (Slave): killing slave pid=2662 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x85b8720 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KLauncher): kio_digikamthumbnail (pid 2663) up and running.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: PID 2662 terminated.
kio (KIOJob): Job::kill this=0x8561120 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2663
kio (Slave): killing slave pid=2663 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x8597e80 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2664) up and running.
kdeinit: PID 2663 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x85ac608 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2664
kio (Slave): killing slave pid=2664 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x8252678 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KLauncher): kio_digikamthumbnail (pid 2665) up and running.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x850f4c8 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2665
kio (Slave): killing slave pid=2665 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x859e768 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2666) up and running.
kdeinit: PID 2665 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x824d230 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2666
kio (Slave): killing slave pid=2666 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x854e838 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2667) up and running.
kdeinit: PID 2666 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x82527d0 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2667
kio (Slave): killing slave pid=2667 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x824d0f0 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KLauncher): kio_digikamthumbnail (pid 2668) up and running.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: PID 2667 terminated.
kio (KIOJob): Job::kill this=0x854e998 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2668
kio (Slave): killing slave pid=2668 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x85abd68 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2669) up and running.
kdeinit: PID 2668 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x824d210 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2669
kio (Slave): killing slave pid=2669 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x854ef70 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KLauncher): kio_digikamthumbnail (pid 2670) up and running.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x85abd68 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2670
kio (Slave): killing slave pid=2670 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x854f448 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2671) up and running.
kdeinit: PID 2670 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x824d318 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2671
kio (Slave): killing slave pid=2671 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x854f6f8 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2672) up and running.
kdeinit: PID 2671 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x85abe88 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2672
kio (Slave): killing slave pid=2672 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x8589460 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KLauncher): kio_digikamthumbnail (pid 2673) up and running.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: PID 2672 terminated.
kdeinit: PID 2664 terminated.
kio (KIOJob): Job::kill this=0x85b9480 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2673
kio (Slave): killing slave pid=2673 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x85b96e0 KIO::TransferJob m_progressId=0 quietly=true
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2674) up and running.
kdeinit: PID 2669 terminated.
kdeinit: PID 2673 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x854f648 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2674
kio (Slave): killing slave pid=2674 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x8589018 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2675) up and running.
kdeinit: PID 2674 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x85b96e0 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2675
kio (Slave): killing slave pid=2675 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x854f6c0 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2676) up and running.
kdeinit: PID 2675 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x85b9480 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2676
kio (Slave): killing slave pid=2676 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x85a8f80 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
amarok: [StatusBar] 1hideMainProgressBar()
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KLauncher): kio_digikamthumbnail (pid 2677) up and running.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: PID 2676 terminated.
kio (KIOJob): Job::kill this=0x85b89a0 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2677
kio (Slave): killing slave pid=2677 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x8589018 KIO::TransferJob m_progressId=0 quietly=true
kio (KIOConnection): ERROR: Header read failed, errno=104
kio (KIOConnection): ERROR: Header has invalid size (-1)
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KLauncher): kio_digikamthumbnail (pid 2678) up and running.
kio (KIOConnection): ERROR: Could not write data
kio (KLauncher): ERROR: SlavePool: No communication with slave.
kdeinit: PID 2677 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x85a9080 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2678
kio (Slave): killing slave pid=2678 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x85266b0 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KLauncher): kio_digikamthumbnail (pid 2679) up and running.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x85b89a0 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2679
kio (Slave): killing slave pid=2679 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x85269d0 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2680) up and running.
kdeinit: PID 2679 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x85267d0 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2680
kio (Slave): killing slave pid=2680 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x85265f8 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KLauncher): kio_digikamthumbnail (pid 2681) up and running.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: PID 2680 terminated.
kio (KIOJob): Job::kill this=0x85b89a0 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2681
kio (Slave): killing slave pid=2681 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x85269d0 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2682) up and running.
kdeinit: PID 2681 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kdeinit: PID 2678 terminated.
kio (KIOJob): Job::kill this=0x85a9080 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2682
kio (Slave): killing slave pid=2682 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x8591d70 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KLauncher): kio_digikamthumbnail (pid 2683) up and running.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): error 4 File does not exist
kio (KIOJob): Job::kill this=0x854f648 ThumbnailJob m_progressId=0 quietly=true
kio (KIOJob): Job::kill this=0x85269d0 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2683
kio (Slave): killing slave pid=2683 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x8592180 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2684) up and running.
kdeinit: PID 2683 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x854f648 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2684
kio (Slave): killing slave pid=2684 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x8559ef0 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KLauncher): kio_digikamthumbnail (pid 2685) up and running.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: PID 2684 terminated.
kio (KIOJob): Job::kill this=0x85269d0 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2685
kio (Slave): killing slave pid=2685 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x8591ff8 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2686) up and running.
kdeinit: PID 2682 terminated.
kdeinit: PID 2685 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x85a8e70 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2686
kio (Slave): killing slave pid=2686 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x8514420 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KLauncher): kio_digikamthumbnail (pid 2687) up and running.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x8559e70 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2687
kio (Slave): killing slave pid=2687 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x85145e8 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2688) up and running.
kdeinit: PID 2687 terminated.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: PID 2686 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x8559c48 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2688
kio (Slave): killing slave pid=2688 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x85922f8 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KLauncher): kio_digikamthumbnail (pid 2689) up and running.
kio (KIOJob): Job::kill this=0x855fca0 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2689
kio (Slave): killing slave pid=2689 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x855ffd0 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Header read failed, errno=104
kio (KIOConnection): ERROR: Header has invalid size (-1)
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2690) up and running.
kio (KIOConnection): ERROR: Could not write data
kio (KLauncher): ERROR: SlavePool: No communication with slave.
kdeinit: PID 2688 terminated.
kdeinit: PID 2689 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x8559c48 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2690
kio (Slave): killing slave pid=2690 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x855d2b8 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2691) up and running.
kdeinit: PID 2690 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x85a8e70 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2691
kio (Slave): killing slave pid=2691 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x855ffd0 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KLauncher): kio_digikamthumbnail (pid 2692) up and running.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x855d3f8 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2692
kio (Slave): killing slave pid=2692 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x855d4a8 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KLauncher): kio_digikamthumbnail (pid 2693) up and running.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: PID 2692 terminated.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: PID 2691 terminated.
kio (KIOJob): Job::kill this=0x855fca0 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2693
kio (Slave): killing slave pid=2693 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x8592280 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2694) up and running.
kdeinit: PID 2693 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x855d3f8 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2694
kio (Slave): killing slave pid=2694 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x8514540 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KLauncher): kio_digikamthumbnail (pid 2695) up and running.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x859f000 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2695
kio (Slave): killing slave pid=2695 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x8592188 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2696) up and running.
kdeinit: PID 2695 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x855d3f8 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2696
kio (Slave): killing slave pid=2696 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x858a130 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KLauncher): kio_digikamthumbnail (pid 2697) up and running.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: PID 2696 terminated.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KIOJob): Job::kill this=0x859f3c8 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2697
kio (Slave): killing slave pid=2697 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x8592188 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2698) up and running.
kdeinit: PID 2694 terminated.
kdeinit: PID 2697 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x858a238 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2698
kio (Slave): killing slave pid=2698 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x8550e00 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2699) up and running.
kdeinit: PID 2698 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x859f3c8 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2699
kio (Slave): killing slave pid=2699 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x859ddd8 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KLauncher): kio_digikamthumbnail (pid 2700) up and running.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x858a268 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2700
kio (Slave): killing slave pid=2700 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x85475c8 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KLauncher): kio_digikamthumbnail (pid 2701) up and running.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: PID 2700 terminated.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: PID 2699 terminated.
kio (KIOJob): Job::kill this=0x859f3c8 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2701
kio (Slave): killing slave pid=2701 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x859e288 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2702) up and running.
kdeinit: PID 2701 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x85477a0 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2702
kio (Slave): killing slave pid=2702 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x85b8b68 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KLauncher): kio_digikamthumbnail (pid 2703) up and running.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x85475c8 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2703
kio (Slave): killing slave pid=2703 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x855e580 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KLauncher): kio_digikamthumbnail (pid 2704) up and running.
kio (KIOConnection): ERROR: Header read failed, errno=104
kio (KIOConnection): ERROR: Header has invalid size (-1)
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KIOConnection): ERROR: Header read failed, errno=104
kio (KIOConnection): ERROR: Header has invalid size (-1)
kio (KLauncher): ERROR: SlavePool: No communication with slave.
kdeinit: PID 2703 terminated.
kio (KIOJob): Job::kill this=0x85477a0 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2704
kio (Slave): killing slave pid=2704 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x859e1a8 KIO::TransferJob m_progressId=0 quietly=true
kio (KIOConnection): ERROR: Header read failed, errno=104
kio (KIOConnection): ERROR: Header has invalid size (-1)
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KLauncher): kio_digikamthumbnail (pid 2705) up and running.
kio (KIOConnection): ERROR: Could not write data
kio (KLauncher): ERROR: SlavePool: No communication with slave.
kdeinit: PID 2704 terminated.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: PID 2702 terminated.
kio (KIOJob): Job::kill this=0x8550d08 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2705
kio (Slave): killing slave pid=2705 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x855e500 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2706) up and running.
kdeinit: PID 2705 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x85477a0 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2706
kio (Slave): killing slave pid=2706 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x85b8cc8 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2707) up and running.
kdeinit: PID 2706 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x859df10 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2707
kio (Slave): killing slave pid=2707 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x85b90a0 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KLauncher): kio_digikamthumbnail (pid 2708) up and running.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x855e5f8 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2708
kio (Slave): killing slave pid=2708 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x855df70 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KLauncher): kio_digikamthumbnail (pid 2709) up and running.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: PID 2708 terminated.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: PID 2707 terminated.
kio (KIOJob): Job::kill this=0x859df10 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2709
kio (Slave): killing slave pid=2709 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x85b90a0 KIO::TransferJob m_progressId=0 quietly=true
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KLauncher): kio_digikamthumbnail (pid 2710) up and running.
kdeinit: PID 2709 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x85b8e80 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2710
kio (Slave): killing slave pid=2710 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x85925c8 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KLauncher): kio_digikamthumbnail (pid 2711) up and running.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x855df60 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2711
kio (Slave): killing slave pid=2711 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x85927d8 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2712) up and running.
kdeinit: PID 2711 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x8592608 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2712
kio (Slave): killing slave pid=2712 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x85b9058 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2713) up and running.
kdeinit: PID 2712 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x855e308 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2713
kio (Slave): killing slave pid=2713 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x8592cb8 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KLauncher): kio_digikamthumbnail (pid 2714) up and running.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: PID 2713 terminated.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KIOJob): Job::kill this=0x853fb18 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2714
kio (Slave): killing slave pid=2714 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x853fd20 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kio (KLauncher): kio_digikamthumbnail (pid 2715) up and running.
kdeinit: PID 2710 terminated.
kdeinit: PID 2714 terminated.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x855e308 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2715
kio (Slave): killing slave pid=2715 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x85929c8 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KLauncher): kio_digikamthumbnail (pid 2716) up and running.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KIOJob): Job::kill this=0x853fd20 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2716
kio (Slave): killing slave pid=2716 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x853f8b0 KIO::TransferJob m_progressId=0 quietly=true
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KLauncher): kio_digikamthumbnail (pid 2717) up and running.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: PID 2716 terminated.
kio (KIOJob): Job::kill this=0x855e308 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2717
kio (Slave): killing slave pid=2717 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x859f690 KIO::TransferJob m_progressId=0 quietly=true
kio (KIOConnection): ERROR: Header read failed, errno=104
kio (KIOConnection): ERROR: Header has invalid size (-1)
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: Got EXEC_NEW 'kio_digikamthumbnail' from launcher.
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jjm/ksycoca
kio (KLauncher): kio_digikamthumbnail (pid 2718) up and running.
kio (KIOConnection): ERROR: Could not write data
kio (KLauncher): ERROR: SlavePool: No communication with slave.
kdeinit: PID 2717 terminated.
kio (KIOJob): Job::kill this=0x853f9f0 ThumbnailJob m_progressId=0 quietly=true
kio (Scheduler): Scheduler: killing slave 2718
kio (Slave): killing slave pid=2718 (digikamthumbnail://)
kio (KIOJob): Job::kill this=0x853f8b0 KIO::TransferJob m_progressId=0 quietly=true
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: PID 2718 terminated.
kio (KIOConnection): ERROR: Could not write data
kio (kioslave):  dispatchLoop() slave was killed, returning
kdeinit: PID 2715 terminated.
Comment 1 Tom Albers 2005-12-29 20:24:36 UTC
Im not aware of any changes which could cause this. Are you using NFS or something special?
Comment 2 Jonathan Marten 2006-01-22 17:33:07 UTC
Still seems to happen with digikam 0.8.1.

I've noticed something else which could be related:  trying to change a tag thumbnail (popup - Edit Tag Properties - Icon, select for example "Error", it is shown correctly in the properties dialogue.  Click "OK", the tag thumbnail does not change but more messages as above are displayed.  Open the tag properties again, the old icon is still there.
Comment 3 Jonathan Marten 2006-01-22 17:34:06 UTC
Not using NFS, by the way.
Comment 4 Arnd Baecker 2007-06-12 14:51:40 UTC
I cannot confirm this problem with current 0.9.2-beta3.

Would it be possible to check, if the problem persists?

Many thanks in advance,

Arnd
Comment 5 Jonathan Marten 2007-06-12 16:41:32 UTC
Problem appears to be resolved with digikam 0.9.2-beta3, using the same album storage location.

Many thanks for a great photo application!
Comment 6 Arnd Baecker 2007-06-12 18:15:05 UTC
Thanks a lot for your feedback, I mark this bug as fixed.
Comment 7 caulier.gilles 2017-07-24 15:01:55 UTC
This problem relevant of digiKam KIO slave cannot be reproduced since version 5.0.0 as all KIO slave have been replaced by a multi-threaded interface in digiKam core.